export function getColorplethColorScale(color: any, { lightness, darken, darkenLast, saturate }?: {
    lightness?: number | undefined;
    darken?: number | undefined;
    darkenLast?: number | undefined;
    saturate?: number | undefined;
}): string[];
export function getLegendTitles(groups: any, columnSettings: any): any;
declare const _default: import("react-redux").ConnectedComponent<typeof ChoroplethMapInner, {
    context?: import("react-remove-scroll/node_modules/@types/react").Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: any;
} | {
    store?: any;
}>;
export default _default;
declare class ChoroplethMapInner extends Component<any, any, any> {
    static propTypes: {};
    static minSize: {
        width: number;
        height: number;
    };
    static defaultSize: {
        width: number;
        height: number;
    };
    static isSensible({ cols }: {
        cols: any;
    }): boolean;
    static checkRenderable([{ data: { cols, rows }, },]: [{
        data: {
            cols: any;
            rows: any;
        };
    }]): void;
    constructor(props: any, context: any);
    state: {
        geoJson: null;
        geoJsonPath: null;
    };
    UNSAFE_componentWillMount(): void;
    _getDetails(props: any): any;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
